QGIS Application - Bug report #12409
Creation of new mapsets does not work anymore
2015-03-19 05:22 AM - Adrian Wooster

Status: Closed

Priority: Severe/Regression

Assignee:

Category: GRASS

Affected QGIS version:master Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution: invalid
Crashes QGIS or corrupls data: Copied to github as #: 20582
Description

It appears that current versions of QGIS running on Windows may not be able to activate Grass when creating new Mapsets from the
Grass toolbar - it opens existing Mapsets as expected so a workaround is to create the Mapset directly in Grass and subsequently open it
in QGIS as an existing Mapset.

The "New Mapset" toolbar menu progresses normally to the final screen confirming the new mapset details. Clicking "Finish" returns a
pop-up saying"cannot activate Grass" - screenshot attached.

Nothing seems to appear within the QGis logs, general or plugin.

This has been verified using both 2.8.1 and the current development version 2.9, both installed from OSGeo4Win on Windows 7 using
both standard and admin user accounts.

Reports have also appeared on Stack Exchange (
http:/gis.stackexchange.com/questions/137025/error-when-creating-a-new-mapset-with-grass-in-qgis) and the OSGeo QGIS mailing

lists (http://lists.osgeo.org/pipermail/ggis-user/2015-March/031193.html).

History

#1 - 2015-03-22 04:01 AM - Giovanni Manghi

- Subject changed from QGIS "cannot activate grass" to Creation of new mapsets does not work anymore
- OS version deleted (7)

- Operating System deleted (Windows)

- Target version set to Version 2.10

- Priority changed from Normal to Severe/Regression

- Category set to GRASS

- Affected QGIS version changed from 2.8.1 to master

confirmed also on Linux.

#2 - 2015-03-22 07:09 AM - Jiirgen Fischer
- Target version changed from Version 2.10 to Future Release - High Priority

#3 - 2015-05-09 09:32 PM - Julio Novoa

same problem on mac yosemite (10.10.3)

using kyngchaos installers
http://gis.stackexchange.com/questions/137025/error-when-creating-a-new-mapset-with-grass-in-qgis
http://lists.osgeo.org/pipermail/qgis-user/2015-March/031193.html

#4 - 2015-05-10 12:45 AM - Giovanni Manghi
- Resolution set to invalid
- Status changed from Open to Closed

this issue was already fixed in qgis master.

#5 - 2015-08-24 03:27 PM - Markus Neteler

Will you backport this?
